Name:           ftnchek
Version:        3.3.1
Release:        19%{?dist}
Summary:        Static analyzer for Fortran 77 programs

Group:          Development/Tools
License:        MIT
URL:            http://www.dsm.fordham.edu/~ftnchek/
Source0:        http://www.dsm.fordham.edu/~ftnchek/download/ftnchek-3.3.1.tar.gz
Patch0:         ftnchek-3.3.1-datadir.patch
Patch1:         http://www.dsm.fordham.edu/~ftnchek/download/ftnchek-3.3.1-varfmt.patch
# Patch to support bison 2.6
Patch2:         ftnchek-3.3.1-bison26.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bison
BuildRequires:  groff, emacs

%description
ftnchek is a static analyzer for Fortran 77 programs. It is designed to
detect certain errors in a Fortran program that a compiler usually does
not. ftnchek is not primarily intended to detect syntax errors. Its
purpose is to assist the user in finding semantic errors. Semantic
errors are legal in the Fortran language but are wasteful or may cause
incorrect operation. For example, variables which are never used may
indicate some omission in the program; uninitialized variables contain
garbage which may cause incorrect results to be calculated; and variables
which are not declared may not have the intended type. ftnchek is
intended to assist users in the debugging of their Fortran program. It is
not intended to catch all syntax errors. This is the function of the
compiler. Prior to using ftnchek, the user should verify that the program
compiles correctly.


%package -n	emacs-ftnchek
Summary:        Emacs support for ftnchek
Group:          Development/Tools
Obsoletes:	ftnchek-emacs <= 3.3.1
Provides:	ftncheck-emacs
Requires:       %{name} = %{version}-%{release}
Requires:       emacs(bin) >= %{_emacs_version}

%description -n emacs-ftnchek
This package provides files enabling ftnchek support within GNU Emacs.


%package -n	emacs-ftnchek-el
Summary:        Elisp source files for Emacs support for ftnchek
Group:          Development/Tools
Requires:       emacs-%{name}  = %{version}-%{release}

%description -n emacs-ftnchek-el
This package provides Elisp source files enabling ftnchek support within GNU
Emacs. You don't need to install this package to support ftnchek under emacs. 

%prep
%setup -q
%patch0 -p1 -b .datadir
%patch1 -p1 -b .varfmt
%patch2 -p1 -b .bison26
#Stop configure from overriding CFLAGS
sed -i -e 's/CFLAGS="-DUNIX.*"//' configure


%build
export CFLAGS="$RPM_OPT_FLAGS -DUNIX"
%configure
make || :
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/ftnchek
%makeinstall STRIP=/bin/true datadir=$RPM_BUILD_ROOT%{_datadir}/ftnchek \
             lispdir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/ftnchek


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README FAQ PATCHES
%{_bindir}/dcl2inc
%{_bindir}/ftnchek
%{_datadir}/ftnchek/
%{_mandir}/man1/dcl2inc.1*
%{_mandir}/man1/ftnchek.1*

%files -n emacs-ftnchek
%{_emacs_sitelispdir}/ftnchek/ftnchek.elc

%files -n emacs-ftnchek-el
%{_emacs_sitelispdir}/ftnchek/ftnchek.el


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 2 2012 Orion Poplawski <orion@cora.nwra.com> - 3.3.1-15
- Add patch to stop modifying bison output - breaks builds with bison 2.6

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov  9 2009 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 3.3.1-11
- Update spec file and packaging to comply with Emacs add-on packaging guidelines

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 13 2009 Orion Poplawski <orion@cora.nwra.com> 3.3.1-9
- Add upstream varfmt patch
- Add BR bison to handle change to yacc file

* Thu Aug 28 2008 Orion Poplawski <orion@cora.nwra.com> 3.3.1-8
- Change %%patch -> %%patch0

* Sat Feb  9 2008 Orion Poplawski <orion@cora.nwra.com> 3.3.1-7
- Rebuild for gcc 3.4

* Tue Aug 21 2007 Orion Poplawski <orion@cora.nwra.com> 3.3.1-6
- Rebuild for BuildID

* Tue Aug 29 2006 Orion Poplawski <orion@cora.nwra.com> 3.3.1-5
- Rebuild for FC6

* Fri Mar 24 2006 Orion Poplawski <orion@cora.nwra.com> 3.3.1-4
- Don't strip binaries so we get a good debuginfo

* Wed Mar 08 2006 Orion Poplawski <orion@cora.nwra.com> 3.3.1-3
- Own %%{_datadir}/ftnchek/
- Add period to end of emacs package description

* Wed Mar 08 2006 Orion Poplawski <orion@cora.nwra.com> 3.3.1-2
- Add emacs sub-package for emacs support
- Fix up CFLAGS to use RPM CFLAGS
- Add FAQ and PATCHES to %%doc

* Tue Mar 07 2006 Orion Poplawski <orion@cora.nwra.com> 3.3.1-1
- Initial Fedora Extras submission
